CREATE TABLE planeten (
  planet_id      NUMBER(5) PRIMARY KEY,
  bezeichnung    VARCHAR2(40) NOT NULL,
  klasse         CHAR,
  quadrant       CHAR,
  klima          VARCHAR2(100),
  monde          NUMBER(2));
  
CREATE TABLE rassen (
  rasse_id       NUMBER(5) PRIMARY KEY,
  bezeichnung    VARCHAR2(40) NOT NULL,
  typ            VARCHAR2(20),
  heimatwelt     CONSTRAINT fk_heimatwelt REFERENCES planeten(planet_id),
  merkmale       VARCHAR2(250));

CREATE TABLE personen (
  person_no      NUMBER(5) PRIMARY KEY,
  name           VARCHAR2(40) NOT NULL,
  vorname        VARCHAR2(40),
  rasse1         CONSTRAINT fk_rasse1 REFERENCES rassen(rasse_id),
  rasse2         CONSTRAINT fk_rasse2 REFERENCES rassen(rasse_id),
  geschlecht     CHAR,
  geburtsdatum   VARCHAR2(40),
  todesdatum     VARCHAR2(40),
  rang           VARCHAR2(40),
  taetigkeit     VARCHAR2(150),
  vater          NUMBER(5) NOT NULL,
  mutter         NUMBER(5) NOT NULL,
  familienstand   CHAR,
  bemerkung      VARCHAR2(250));
  
CREATE TABLE geschwister (
  person_no      CONSTRAINT fk_person_no REFERENCES personen(person_no),
  brusch         CONSTRAINT fk_brusch REFERENCES personen(person_no));
  
CREATE TABLE ehepartner (
  person_no      CONSTRAINT fk_person_no1 REFERENCES personen(person_no),
  partner        CONSTRAINT fk_partner REFERENCES personen(person_no));
    
CREATE TABLE klassen (
  klasse_id      NUMBER(5) PRIMARY KEY,
  bezeichnung    VARCHAR2(40) NOT NULL,
  typ            VARCHAR2(100),
  besatzung      NUMBER(5),
  laenge         NUMBER(7,2),
  breite         NUMBER(7,2),
  hoehe          NUMBER(7,2),
  masse          NUMBER(10),
  hoechstgeschw  NUMBER(4,3),
  betreiber      VARCHAR(40),
  besonderheit   VARCHAR(100));
  
CREATE TABLE raumschiffe (
  raumschiff_no     NUMBER(5) PRIMARY KEY,
  bezeichnung       VARCHAR2(40) NOT NULL,
  reg_no            VARCHAR2(10),
  klasse            CONSTRAINT fk_klasse REFERENCES klassen(klasse_id),
  indienststellung  VARCHAR2(40),
  status            VARCHAR2(100),
  captain           CONSTRAINT fk_captain REFERENCES personen(person_no),
  bemerkung         VARCHAR2(250));
  
commit;
 

 

  